> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutation: ZonesMap als gezippte Shapefile exportieren

Erstellen Sie ein ZIP-Archiv mit der ausgewählten „ZonesMap“ im Shapefile-Format.

{% hint style="info" %}
Das Archiv enthält die Dateien \*.shp, \*.shx, \*.prj und \*.dbf im Koordinatenreferenzsystem EPSG:4326.
{% endhint %}

### 1. Vorbereitung

* Das Attribut `vectorAnalysisMaps` enthält ein Array mit ZonesMaps-Objekten (VectorAnalysisMaps), die exportiert werden sollen. Jedes dieser Objekte umfasst ein Paar aus `fieldUuid` (Verknüpfung mit dem ausgewählten Feld) und `uuid` (Verknüpfung mit der ausgewählten ZonesMap).
* Das boolesche Attribut `asMultiGeometry` legt fest, ob die Zonen als `Polygons` oder als `MultiPolygons` exportiert werden (wenn auf `true` ).
* Das boolesche Attribut `onlyProductColumns` legt fest, ob nur Spalten mit Produkten (RX) in das Shapefile aufgenommen werden sollen (wenn auf `true`gesetzt). Andernfalls werden alle statistischen Attribute und Zonen-IDs als Spalten aufgenommen.
* Das Attribut `archiveName` enthält den Namen des erstellten ZIP-Archivs.
* Das Attribut `filePostfix` ermöglicht es, den exportierten Dateien und dem Archiv benutzerdefinierte Suffixe hinzuzufügen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Generiertes Archiv herunterladen

Nach Ausführung der GraphQL-Abfrage kann das Archiv mit `curl` oder auf ähnliche Weise heruntergeladen werden.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
